<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.itp-x.co.uk/xslt">

<!--
****************************************************************
* ADOBE SYSTEMS INCORPORATED                                   *
* Copyright 2006 © 2006 Adobe Systems Incorporated             *
* All Rights Reserved                                          *
*                                                              *
* NOTICE:  Adobe permits you to use, modify, and distribute    *
* this file in accordance with the terms of the Adobe license  *
* agreement accompanying it.  If you have received this file   *
* from a source other than Adobe, then your use, modification, *
* or distribution of it requires the prior written permission  *
* of Adobe.                                                    *
* _____________________________________________________________*
* Adobe FrameMaker 7.2 Application Pack for S1000D             *
*                                                              *
* CALS table export transform                                  *
* Version   Date         By                                    *
* 0.2b      2006-08-21   Ian Proudfoot, iTP-X                  *
*                                                              *
****************************************************************
-->

	<xsl:template match="table">
		<xsl:element name="table">
			<xsl:copy-of select="@mark|@colsep|@tabstyle|@change|@rfc|@frame|@level|@rowsep|@pgwide|@orient|@tocentry"/>
			<xsl:copy-of select="table.group[1]/@id"/>
			<xsl:for-each select="@class">
				<xsl:attribute name="class">
					<xsl:call-template name="brexmerge"/>
				</xsl:attribute>
			</xsl:for-each>
			<xsl:for-each select="@caveat">
				<xsl:attribute name="caveat">
					<xsl:call-template name="brexmerge"/>
				</xsl:attribute>
			</xsl:for-each>
			<xsl:for-each select="@commcls">
				<xsl:attribute name="commcls">
					<xsl:call-template name="brexmerge"/>
				</xsl:attribute>
			</xsl:for-each>
			<xsl:copy-of select="applic"/>

			<xsl:for-each select="table.group[1]/table.title">
				<xsl:element name="title">
					<xsl:for-each select="@class">
						<xsl:attribute name="class">
							<xsl:call-template name="brexmerge"/>
						</xsl:attribute>
					</xsl:for-each>
					<xsl:for-each select="@caveat">
						<xsl:attribute name="caveat">
							<xsl:call-template name="brexmerge"/>
						</xsl:attribute>
					</xsl:for-each>
					<xsl:for-each select="@commcls">
						<xsl:attribute name="commcls">
							<xsl:call-template name="brexmerge"/>
						</xsl:attribute>
					</xsl:for-each>
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
			<xsl:for-each select="table.group">
				<xsl:element name="tgroup">
					<xsl:copy-of select="@char|@charoff|@tgstyle|@cols|@align|@colsep|@rowsep"/>
					<xsl:copy-of select="tcolspec"/>
					<xsl:copy-of select="spanspec"/>
					<xsl:for-each select="table.head">
						<xsl:element name="thead">
							<xsl:apply-templates/>
						</xsl:element>
					</xsl:for-each>
					<xsl:for-each select="table.foot">
						<xsl:element name="tfoot">
							<xsl:apply-templates/>
						</xsl:element>
					</xsl:for-each>
					<xsl:for-each select="table.body">
						<xsl:element name="tbody">
							<xsl:apply-templates/>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->